Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

DatabaseHandler.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\Persistence\Database;
8
9 use eZ\Publish\Core\Persistence\Legacy\EzcDbHandler;
10
17 interface DatabaseHandler extends EzcDbHandler
18 {
24 public function getName();
25
29 public function beginTransaction();
30
34 public function commit();
35
39 public function rollBack();
40
46 public function useSequences();
47
55 public function lastInsertId($sequenceName = null);
56
62 public function exec($query);
63
71 public function prepare($query);
72
78 public function createSelectQuery();
79
85 public function createInsertQuery();
86
92 public function createUpdateQuery();
93
99 public function createDeleteQuery();
100
110 public function aliasedColumn($query, $columnName, $tableName = null);
111
120 public function quoteColumn($columnName, $tableName = null);
121
129 public function quoteTable($tableName);
130
143 public function alias($name, $alias);
144
157 public function quoteIdentifier($identifier);
158
171 public function getAutoIncrementValue($table, $column);
172
181 public function getSequenceName($table, $column);
182
188 public function getConnection();
189 }
eZ\Publish\Core\Persistence\Database\DatabaseHandler
Interface for relational database abstractions supported by eZ.
Definition: DatabaseHandler.php:18
eZ\Publish\Core\Persistence\Database\DatabaseHandler\createSelectQuery
createSelectQuery()
Create Select Query object.
eZ\Publish\Core\Persistence\Database\DatabaseHandler\getName
getName()
Name of the database technology.
eZ\Publish\Core\Persistence\Database\DatabaseHandler\quoteIdentifier
quoteIdentifier($identifier)
Custom quote identifier method.
eZ\Publish\Core\Persistence\Database\DatabaseHandler\exec
exec($query)
Execute a query against the database.
eZ\Publish\Core\Persistence\Database\DatabaseHandler\lastInsertId
lastInsertId($sequenceName=null)
Retrieve the last auto incremet or sequence id.
eZ\Publish\Core\Persistence\Database\DatabaseHandler\prepare
prepare($query)
Prepare and return a statement.
eZ\Publish\Core\Persistence\Database\DatabaseHandler\createDeleteQuery
createDeleteQuery()
Create a Delete Query object.
eZ\Publish\Core\Persistence\Database\DatabaseHandler\useSequences
useSequences()
Check for sequence based driver or not.
eZ\Publish\Core\Persistence\Database\DatabaseHandler\createInsertQuery
createInsertQuery()
Create Insert Query object.
eZ\Publish\Core\Persistence\Database\DatabaseHandler\getAutoIncrementValue
getAutoIncrementValue($table, $column)
Get auto increment value.
eZ\Publish\Core\Persistence\Database\DatabaseHandler\createUpdateQuery
createUpdateQuery()
Create update Query object.
eZ\Publish\Core\Persistence\Database\DatabaseHandler\quoteTable
quoteTable($tableName)
Returns a qualified identifier for $tableName.
eZ\Publish\Core\Persistence\Database\DatabaseHandler\getSequenceName
getSequenceName($table, $column)
Returns the name of the affected sequence.
eZ\Publish\Core\Persistence\Database\DatabaseHandler\alias
alias($name, $alias)
Custom alias method.
eZ\Publish\Core\Persistence\Database\DatabaseHandler\rollBack
rollBack()
Rollback a transaction.
eZ\Publish\Core\Persistence\Database\DatabaseHandler\quoteColumn
quoteColumn($columnName, $tableName=null)
Returns a qualified identifier for $columnName in $tableName.
eZ\Publish\Core\Persistence\Database\DatabaseHandler\commit
commit()
Commit a transaction.
eZ\Publish\Core\Persistence\Database\DatabaseHandler\aliasedColumn
aliasedColumn($query, $columnName, $tableName=null)
Creates an alias for $tableName, $columnName in $query.
eZ\Publish\Core\Persistence\Database\DatabaseHandler\beginTransaction
beginTransaction()
Begin a transaction.
eZ\Publish\Core\Persistence\Database\DatabaseHandler\getConnection
getConnection()
Returns underlying connection (e.g.
eZ\Publish\Core\Persistence\Legacy\EzcDbHandler
This interface is added in Doctrine DBAL introduction for Legacy Storage and exists only to prevent b...
Definition: EzcDbHandler.php:19
eZ\Publish\Core\Persistence\Database
Definition: DatabaseHandler.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.